Fetch offline-test dataset
Fetch a Supabase-backed v1 offline-test dataset and its examples by dataset id or name.
GET
/v1/projects/{projectId}/datasets/{datasetIdentifier}Authorization
AuthorizationPersonal API key · headerrequiredYour personal API key from Settings > Personal API Keys, sent as Bearer <key>.
X-Organization-IdOrganization ID · headerrequiredThe organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.
Path parameters
projectIdstringrequireddatasetIdentifierstringrequiredResponses
200
Response for status 200
dataset_idstringrequiredorganization_idstringproject_idstringnamestringrequiredschemaobject | nullShow propertiesHide properties
Any of:
object
objectnull
nullcurrent_versionnumbercreated_atstringupdated_atstringcreator_idstring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullentriesnumbertest_config_countnumberdataset_kindobjectrequiredShow propertiesHide properties
objectexamplesobject[]requiredShow propertiesHide properties
Array of
objectexample_idstringrequiredorganization_idstringproject_idstringdataobjectrequiredmetadataobject | nullShow propertiesHide properties
Any of:
object
objectnull
nullmanaged_metadataobjectrequiredcreated_atstringuser_idstringrequired404
Response for status 404
errorstringrequiredmessagestringcodestringdetailsstring[]